cURL
curl --request GET \
--url https://sandbox-api.borderless.xyz/v1/rfi/cases/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.borderless.xyz/v1/rfi/cases/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.borderless.xyz/v1/rfi/cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "<string>",
"status": "<string>",
"triageStatus": "<string>",
"organizationId": "<string>",
"pfiName": "<string>",
"subject": "<string>",
"messageCount": 123,
"resolvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"messages": [
{
"id": "<string>",
"authoredBy": "<string>",
"fromAddress": "<string>",
"subject": "<string>",
"bodyText": "<string>",
"bodyHtml": "<string>",
"sentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"attachments": [
{
"id": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"contentId": "<string>",
"isInline": true
}
]
}
],
"references": [
{
"id": "<string>",
"rawValue": "<string>",
"status": "<string>",
"identityId": "<string>",
"transactionId": "<string>"
}
],
"providerReference": "<string>"
}RFI
Get v1rficases 1
GET
/
v1
/
rfi
/
cases
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Identifiers of the linked records as they exist in the provider's own system. Appended verbatim to every reply sent on this case; null when the case has no such identifiers.
Was this page helpful?
⌘I